#ifndef KRPMVIEW_H_INCLUDE_GUARD_
#define KRPMVIEW_H_INCLUDE_GUARD_

#include <kparts/factory.h>
#include <kparts/part.h>

class KInstance;
class KAboutData;

class KRPMViewFactory : public KParts::Factory
{
    public:
        KRPMViewFactory();
        virtual ~KRPMViewFactory();
        static KInstance *instance();
        static KAboutData *aboutData();

        virtual KParts::Part *createPartObject( QWidget *parentWidget, const char *widgetName,
                QObject *parent, const char *name,
                const char *className,
                const QStringList &args );

    protected:
        virtual KInstance *createInstance();
    private:
        static KRPMViewFactory*s_self;
        static KInstance *s_instance;
        static KAboutData *s_aboutData;
};

#endif

